package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcWljgtj;
import com.ruoyi.tcZz.domain.TcWlwmzyz;

/**
 * 网络文明志愿者Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcWlwmzyzService 
{
    /**
     * 查询网络文明志愿者
     * 
     * @param id 网络文明志愿者主键
     * @return 网络文明志愿者
     */
    public TcWlwmzyz selectTcWlwmzyzById(Long id);

    /**
     * 查询网络文明志愿者列表
     * 
     * @param tcWlwmzyz 网络文明志愿者
     * @return 网络文明志愿者集合
     */
    public List<TcWlwmzyz> selectTcWlwmzyzList(TcWlwmzyz tcWlwmzyz);

    /**
     * 新增网络文明志愿者
     * 
     * @param tcWlwmzyz 网络文明志愿者
     * @return 结果
     */
    public int insertTcWlwmzyz(TcWlwmzyz tcWlwmzyz);

    /**
     * 修改网络文明志愿者
     * 
     * @param tcWlwmzyz 网络文明志愿者
     * @return 结果
     */
    public int updateTcWlwmzyz(TcWlwmzyz tcWlwmzyz);

    /**
     * 批量删除网络文明志愿者
     * 
     * @param ids 需要删除的网络文明志愿者主键集合
     * @return 结果
     */
    public int deleteTcWlwmzyzByIds(Long[] ids);

    /**
     * 删除网络文明志愿者信息
     * 
     * @param id 网络文明志愿者主键
     * @return 结果
     */
    public int deleteTcWlwmzyzById(Long id);



    /**
     * 导入网络文明志愿者信息
     *
     * @return 结果
     */
    public String importUser(List<TcWlwmzyz> tcWlwmzyzList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
